# Contributing Guidelines

Welcome to Kubernetes. We are excited about the prospect of you joining our [community](https://git.k8s.io/community)! The Kubernetes community abides by the CNCF [code of conduct](code-of-conduct.md). Here is an excerpt:

_As contributors and maintainers of this project, and in the interest of fostering an open and welcoming community, we pledge to respect all people who contribute through reporting issues, posting feature requests, updating documentation, submitting pull requests or patches, and other activities._

## Getting Started

The following outlines the general rules we follow:

- All PRs must have the appropriate documentation changes made within the
same PR. Note, not all PRs will necessarily require a documentation change
but if it does please include it in the same PR so the PR is complete and
not just a partial solution.
- All PRs must have the appropriate testcases. For example, bug fixes should
include tests that demonstrates the issue w/o your fix. New features should
include as many testcases, within reason, to cover any variants of use of the
feature.
- [Contributor License Agreement](https://git.k8s.io/community/CLA.md) - Kubernetes projects require that you sign a Contributor License Agreement (CLA) before we can accept your pull requests
- [Kubernetes Contributor Guide](https://k8s.dev/guide) - Main contributor documentation, or you can just jump directly to the [contributing page](https://k8s.dev/docs/guide/contributing/)
- [Contributor Cheat Sheet](https://k8s.dev/cheatsheet) - Common resources for existing developers

## Contact Information

- [SIG-etcd slack channel](https://kubernetes.slack.com/archives/C3HD8ARJ5)
- [Mailing list](https://groups.google.com/g/etcd-dev)
